Subject: Re: [patch/rft 4/4] rtc-ds1307 platform update, powerpc mpc834x_itx and mpc8313_rdb

From: David Brownell <[email-masked]>
Date: Mon, 14 May 2007 11:49:27 -0700

> > > @@ -329,7 +330,7 @@ static int fsl_i2c_probe(struct platform
> > >         i2c->adap = mpc_ops;
> > >         i2c_set_adapdata(&i2c->adap, i2c);
> > >         i2c->adap.dev.parent = &pdev->dev;
> > > -       if ((result = i2c_add_adapter(&i2c->adap)) < 0) {
> > > +       if ((result = i2c_add_numbered_adapter(&i2c->adap)) < 0) {
> > >                 printk(KERN_ERR "i2c-mpc - failed to add adapter\n");
> > >                 goto fail_add;
> > >         }
> > 
> > ... 
> > 
> > I think you need to add this line before the call to i2c_add_numbered_adapter:
> > 
> > i2c->adap.nr = pdev->id;
> 
> If these chips do have multiple instances of that adapter logic,
> that would be an appropriate change.  The only "gotcha" might be
> that some platforms use the "pdev->id = -1" trick when there's
> only a single instance ... that would probably map to zero.
> 
> I'll hope that whoever makes all this work will resolve those
> particular questions ...

Oh, and by the way:  patches updating I2C adapter drivers to work
with new-style drivers look to be OK to get into 2.6.22 with just
an Ack from Jean, via the MM tree.  (Right, Jean?)

In this case I'll hope someone else does the real submission, after
testing.  I just wanted to nudge the process along.

- Dave